update webtest version in test-requirements

Bug #1219808 reported by Kui Shi on 2013-09-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Buildout dependencies required by Tickery.
Low
Kui Shi

Bug Description

run run_tests.sh or tox -epy27 may get many failures.
The reason is that the webtest is not the latest version. webtest check the environment:

In latest webtest:
assert type(environ[key]) in METADATA_TYPE, (
             "Environmental variable %s is not a string: %r (value: %r)"
             % (key, type(environ[key]), environ[key]))

In old webtest:

assert type(environ[key]) is str, (
             "Environmental variable %s is not a string: %r (value: %r)"
            % (key, type(environ[key]), environ[key]))

The latest webtest is 2.0.7, designate it in test-requirements.txt.

Kui Shi (skuicloud) on 2013-09-02
Changed in keystone:
assignee: nobody → Kui Shi (skuicloud)
Revision history for this message
Dolph Mathews (dolph) wrote :
Changed in keystone:
importance: Undecided → Low
Changed in keystone:
status: New → In Progress
Revision history for this message
Kui Shi (skuicloud) wrote :

I have submitted two patches using the same bug id:

https://review.openstack.org/#/c/44697/
https://review.openstack.org/#/c/44773/

YangLei (yanglyy) on 2013-09-13
affects: keystone → tickery-buildout-dependencies
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers